# Birdhouse

## Description:
Arduino software for a [grasshopper](https://www.tindie.com/products/tleracorp/grasshopper-lorawan-development-board/) LoRaWAN development board used in a [birdhouse](https://hackaday.io/project/185881-lorawan-birdhouse) with internet.

## Software used:
* [Arduino IDE](https://www.arduino.cc/en/software)
* [STM32L0 Core](https://github.com/GrumpyOldPizza/ArduinoCore-stm32l0)
* [SparkFun Nau7802 Library](https://github.com/sparkfun/SparkFun_Qwiic_Scale_NAU7802_Arduino_Library)

## Usage:
* [Calibrate](CalibrateScale/CalibrateScale.ino) the scale to get the scale offset/factor.
* Write the [configuration](ConfigureEeprom/ConfigureEeprom.ino ) into the eeprom of the grasshopper.
* Program the [birdhouse](Birdhouse.ino) software.
* Adjust configuration using LoRaWAN downlinks.

Date: 2023-08-29
