/*
    all dimensions are in millimeters
*/

enclosure();

module enclosure(explode=0) {
        translate([0, 0, 1.45-explode])
            rotate([0, 0, 0])
                color("Darkgray")
                    enclosure_bottom();
        translate([0, 0, 10.3+2.9+explode])
            rotate([0, 0, 0])
                color("Darkgray")
                    enclosure_top();
}

module enclosure_top() {
    hull() {
        // sides
        translate([29.25, 35.5, 0])
            cylinder(20.6, 2.5, 2.5, $fn = 24, center=true);
        translate([-29.25, 35.5, 0])
            cylinder(20.6, 2.5, 2.5, $fn = 24, center=true);
        translate([29.25, -35.5, 0])
            cylinder(20.6, 2.5, 2.5, $fn = 24, center=true);
        translate([-29.25, -35.5, 0])
            cylinder(20.6, 2.5, 2.5, $fn = 24, center=true);
    
        // top
        translate([0, 35.5, 10.3])
            rotate([0, 90, 0])
                cylinder(58.5, 2.5, 2.5, $fn = 24, center=true);
        translate([0, -35.5, 10.3])
            rotate([0, 90, 0])
                cylinder(58.5, 2.5, 2.5, $fn = 24, center=true);
        translate([29.25, 0, 10.3])
            rotate([90, 0, 0])
                cylinder(71.0, 2.5, 2.5, $fn = 24, center=true);
        translate([-29.25, 0, 10.3])
            rotate([90, 0, 0])
                cylinder(71.0, 2.5, 2.5, $fn = 24, center=true);
    }
}

module enclosure_bottom() {
    union() {
        hull() {
            translate([29.25, 35.5, 0])
                cylinder(2.9, 2.5, 2.5, $fn = 24, center=true);
            translate([-29.25, 35.5, 0])
                cylinder(2.9, 2.5, 2.5, $fn = 24, center=true);
            translate([29.25, -35.5, 0])
                cylinder(2.9, 2.5, 2.5, $fn = 24, center=true);
            translate([-29.25, -35.5, 0])
                cylinder(2.9, 2.5, 2.5, $fn = 24, center=true);
        }
        
        translate([36.75, 0, 0]) {
            difference() {
                cube([10.1, 10.1, 2.9], center=true);
                cylinder(3.0, 2.5, 2.5, $fn = 24, center=true);
            }
        }
        
        translate([-36.75, 0, 0]) {
            difference() {
                cube([10.1, 10.1, 2.9], center=true);
                cylinder(3.0, 2.5, 2.5, $fn = 24, center=true);
            }
        }
    }
}
